// out: ../../css/components/progress.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
// mixins variables
@import "../variables.scss";

//
.progress {
  @include box-shadow(0, 0, 0, 0);
  @include border-radius(4px);
  background-color: #ddd;
  margin-bottom: 15px;
  overflow: hidden;
  height: auto;

  &.progress-lg {
    height: 1.5rem;
  }

  &.progress-md {
    height: 1rem;
  }

  &.progress-sm {
    height: 0.625rem;
  }

  &.progress-xs {
    height: 0.25rem;
  }

  &-wrapper {
    position: relative;
    padding-top: 15px;
  }

  &-inverse {
    background-color: $gray;
  }

  &-heading {
    @include font-size(1.4);
    font-weight: 500;
    margin: 0 0 2px;
    padding: 0;
  }

  &-bar {
    @include box-shadow(0, 0, 0, 0);
    @include border-radius(0);
    @include transition(width 0.6s ease);
    height: 100%;
    padding: 4px 0 3px;

    &.bg-primary {
      background: $ocean-blue;
    }

    &.bg-green {
      background: #5cb85c;
    }

    &.bg-info {
      background: #5bc0de;
    }

    &.bg-yellow {
      background: #f0ad4e;
    }

    &.bg-warning {
      background: #d9534f;
    }

    &.bg-purple {
      background: #801096;
    }
  }

  &-text {
    margin-bottom: 0;
  }

  &-text .mark {
    float: left;
    width: 50%;
    background: transparent;
  }

  &-text .mark.right {
    text-align: right;
  }

  &-tooltip {
    display: inline-block;
    background: rgba(0, 0, 0, 0.8);
    color: $white;
    padding: 0.25rem 0.375rem;
    line-height: 1;
    font-size: 12px;
    position: relative;
    bottom: 8px;
    border-radius: 3px;
    margin-left: -15px;
  }

  &-tooltip:after {
    top: 100%;
    left: 10px;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-color: rgba(51, 51, 51, 0);
    border-top-color: rgba(0, 0, 0, 0.8);
    border-width: 5px;
  }

  &-label {
    display: inline-block;
    color: $gray;
    position: absolute;
    top: 0;
    left: 0;
    @include font-size(1.2);
  }

  &-percentage {
    display: inline-block;
    color: $gray;
    @include font-size(1.2);
    position: absolute;
    right: 0;
    top: 0;
    margin: 0;
  }
}
